%define modn    ntfs
%define modv    2009.11.14


Summary:        A NTFS filesystem using FUSE
Name:           fuse-%{modn}
Version:        %{modv}
Release:        1%{?dist}%{?pext}
License:        GPL
Group:          Applications/System
Source0:        http://www.ntfs-3g.org/%{modn}-3g-%{modv}.tgz
URL:            http://www.ntfs-3g.org/
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:         NTFS-3G (http://forum.ntfs-3g.org/)
Provides:       fuse-mod(%{modn}) = %{modv}
Requires:       libntfs-3g = %{version}-%{release}
Requires:       fuse >= 2.6
BuildRequires:  libacl-devel libfuse-devel >= 2.6
BuildRequires:  pkgconfig

%description
The NTFS-3G driver is a freely and commercially available and supported
read/write NTFS driver for various operating systems. It provides safe
and fast handling of Windows 2000, XP, Server 2003 and Vista filesystems.
POSIX file system operations are supported, and full file ownership and
permission support is available as well.


%package     -n libntfs-3g
Summary:        The NTFS-3G driver library
Group:          System Environment/Libraries

%description -n libntfs-3g
The libntfs-3g package contains the shared library for the NTFS-3G driver.


%package     -n libntfs-3g-devel
Summary:        Development tools for libntfs-3g
Group:          Development/Libraries
Requires:       libntfs-3g = %{version}-%{release}

%description -n libntfs-3g-devel
The libntfs-3g-devel package contains the static libraries and header files
for developing software using the NTFS-3G driver.


%prep
%setup -q -n %{modn}-3g-%{modv}


%build
%configure \
	--disable-mount-helper \
	--disable-ldconfig     \
	--enable-posix-acls    \
	--enable-shared        \
	--enable-static        \
	--with-fuse=external

%{__make} %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__rm} -f  ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.{?,??}
%{__rm} -f  ${RPM_BUILD_ROOT}%{_mandir}/man8/mount.ntfs-3g.8*
%{__rm} -rf ${RPM_BUILD_ROOT}%{_docdir}


%post -n libntfs-3g -p /sbin/ldconfig


%postun -n libntfs-3g -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README
%{_bindir}/ntfs-3g
%{_bindir}/ntfs-3g.probe
%{_bindir}/ntfs-3g.secaudit
%{_bindir}/ntfs-3g.usermap
%{_mandir}/man8/ntfs-3g.8*
%{_mandir}/man8/ntfs-3g.probe.8*
%{_mandir}/man8/ntfs-3g.secaudit.8*
%{_mandir}/man8/ntfs-3g.usermap.8*

%files -n libntfs-3g
%defattr(-,root,root)
%doc COPYING.LIB
%{_libdir}/libntfs-3g.so.*

%files -n libntfs-3g-devel
%defattr(-,root,root)
%{_includedir}/ntfs-3g
%{_libdir}/libntfs-3g.*a
%{_libdir}/libntfs-3g.so
%{_libdir}/pkgconfig/libntfs-3g.pc


%changelog
* Thu Nov 26 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.11.14-1
- New version (2009.11.14)

* Fri Apr 10 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.4.4-1
- New version (2009.4.4)

* Fri Mar 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.3.8-1
- New version (2009.3.8)

* Sun Mar 01 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.2.1-1
- New version (2009.2.1)

* Tue Jan 27 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2009.1.1-1
- New version (2009.1.1)

* Mon Dec 15 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.5130-1
- New version (1.5130)

* Thu Oct 16 2008 Peter Pramberger <peterpramb@member.fsf.org> - 1.5012-1
- Initial build
